How to update Bolt?

Hello
I am new to Unity.
I’m using Unity 2019.4.16f1.
I’m trying a Bolt tutorial. A week ago or so I installed Bolt 1.4.13.
Today I received an email from Unity Assets Store that Bolt was bumped to 1.4.15
I want to update it. I’m trying steps from this article Unity - Manual: Update and Backups to no avail.
First I get stuck at “Download and import the new version from the asset store” I just can’t download because I get this popup:


.
.
.
Then I try “Run the setup wizard” step and everything I get is this:
.
.
.

.
.
.
Package Manager accessible from Window Menu does not help either.

How one can update the Bolt to the latest version?

Delete Bold from your Roaming/Unity Assets Folder(The place where you download your assets),
and try to redownload it

It’s not just down the road to update to version 1.14.15 - To get the update I deleted the Bolt.unitypackage in Roaming\Unity\Asset Store-5.x\Unity Technologies\Editor ExtensionsVisual Scripting

It looks like it’s bolt 1.4.15, but if I look at the picture below, I’m not sure :wink: